Bug 1046902

Summary: Upgrade to 2.7.24 to mitigate CVE-2013-4969
Product: [Fedora] Fedora EPEL Reporter: Sam Kottler <skottler>
Component: puppetAssignee: Sam Kottler <skottler>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: el6CC: fedora, jose.p.oliveira.oss, k.georgiou, ktdreyer, mastahnke, mmagr, moses, ohadlevy, skottler, tmz, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: puppet-2.7.25-2.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-04-15 23:27:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1045212    

Description Sam Kottler 2013-12-27 10:47:29 UTC
Description of problem:
CVE-2013-4969 is a security issue; 2.7.24 contains the fix.

Comment 1 Fedora Update System 2013-12-27 11:27:35 UTC
puppet-2.7.24-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/puppet-2.7.24-1.el6

Comment 2 Fedora Update System 2013-12-27 22:14:38 UTC
Package puppet-2.7.24-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing puppet-2.7.24-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-12483/puppet-2.7.24-1.el6
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-01-09 09:29:25 UTC
puppet-2.7.25-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/puppet-2.7.25-1.el6

Comment 4 Fedora Update System 2014-02-08 21:04:58 UTC
puppet-2.7.25-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/puppet-2.7.25-2.el6

Comment 5 Fedora Update System 2014-04-15 23:27:59 UTC
puppet-2.7.25-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.